## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-snakemake-executor-plugin-cluster-sync
Version:        0.1.4
Release:        %autorelease
Summary:        A Snakemake executor plugin for cluster jobs that are executed synchronously

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-executor-plugin-cluster-sync
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-executor-plugin-cluster-sync-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
BuildRequires:  snakemake >= 8

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-snakemake-executor-plugin-cluster-sync
Summary:        %{summary}

%description -n python3-snakemake-executor-plugin-cluster-sync %{common_description}


%prep
%autosetup -n snakemake-executor-plugin-cluster-sync-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_executor_plugin_cluster_sync


%check
# Just in case the tests are not very thorough:
%pyproject_check_import

%pytest -v tests/tests.py


%files -n python3-snakemake-executor-plugin-cluster-sync -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.1.4-2
- Rebuilt for Python 3.13

* Tue Mar 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.4-1
- Update to 0.1.4

* Wed Jan 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.3-1
- Initial package (close RHBZ#2259273)
## END: Generated by rpmautospec
